For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList spaces
      • POSTCreate a space
      • GETGet a space
      • DELDelete a space
      • DELDelete spaces
      • PATCHUpdate a space
      • POSTArchives a space
      • POSTUnarchives a space
      • POSTCreate a new guidance
      • GETList guidances
      • GETGet a guidance
      • PATCHUpdate a guidance
      • DELDelete a guidance
      • POSTCreate a draft of a space
      • GETList drafts for a space
      • GETGet a draft
      • POSTMerge a draft
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceSpaces

List guidances

GET
https://api.x.flatfile.com/v1/spaces/:spaceId/guidance
GET
/v1/spaces/:spaceId/guidance
$curl -G https://api.x.flatfile.com/v1/spaces/us_sp_YOUR_ID/guidance \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d includeGuide=true
1{
2 "data": [
3 {
4 "id": "us_gd_YOUR_ID",
5 "guideSlug": "getting-started",
6 "options": {
7 "target": "getting-started",
8 "trigger": "first",
9 "type": "sidebar",
10 "role": "admin"
11 },
12 "createdFrom": "us_gd_YOUR_ID",
13 "lastPropagatedAt": "2023-10-30T16:59:45.735Z"
14 }
15 ]
16}
Lists guidances
Was this page helpful?
Previous

Get a guidance

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

spaceIdstringRequired
ID of the space

Headers

X-Disable-Hooks"true"Required

Query parameters

includeGuidebooleanOptional
Include the guide with the guidance, default is false

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error